import { createApp } from 'vue'
import { createRouter, createWebHistory } from 'vue-router'
import './style.css'
import 'vant/lib/index.css' // 引入vant样式
import App from './App.vue'

const router = createRouter({
    history: createWebHistory(),
    routes: [
        {
            path: '/',
            name: 'Home',
            component: () => import('./views/Home.vue'),
        }, {
            path: '/list',
            name: 'List',
            component: () => import('./views/List.vue'),
        },
        {
            path: '/carts',
            name: 'Carts',
            component: () => import('./views/Carts.vue'),
        },
        {
            path: '/user',
            name: 'User',
            component: () => import('./views/User.vue'),
        },
        {
            path: '/detail',
            name: 'Detail',
            component: () => import('./views/Detail.vue'),
            meta: {
                needHideTabBar: true, // 是否需要隐藏底部导航栏
            }
        }
    ]
})

// 路由前置守卫
router.beforeEach((to, from, next) => {
    console.log('beforeEach');
    next();
});

// 使用router组件
createApp(App).use(router).mount('#app')
